LevenshteinResults (Apache Commons Text 1.13.0 API)
Description: declaration: package: org.apache.commons.text.similarity, class: LevenshteinResults

Package org.apache.commons.text.similarity

# Class LevenshteinResults

java.lang.Object
org.apache.commons.text.similarity.LevenshteinResults

public class LevenshteinResults extends Object
Container class to store Levenshtein distance between two character sequences.

Stores the count of insert, deletion and substitute operations needed to change one character sequence into another.

This class is immutable.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LevenshteinResults(Integer distance, Integer insertCount, Integer deleteCount, Integer substituteCount)`
  Constructs the results for a detailed Levenshtein distance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Integer`
  `getDeleteCount()`
  Gets the number of character deletion needed to change one character sequence to other.
  `Integer`
  `getDistance()`
  Gets the distance between two character sequences.
  `Integer`
  `getInsertCount()`
  Gets the number of insertion needed to change one character sequence into another.
  `Integer`
  `getSubstituteCount()`
  Gets the number of character substitution needed to change one character sequence into another.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LevenshteinResults

    public LevenshteinResults(Integer distance, Integer insertCount, Integer deleteCount, Integer substituteCount)
    Constructs the results for a detailed Levenshtein distance.
    Parameters:
      `distance` - distance between two character sequences.
      `insertCount` - insert character count
      `deleteCount` - delete character count
      `substituteCount` - substitute character count

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getDeleteCount

    public Integer getDeleteCount()
    Gets the number of character deletion needed to change one character sequence to other.
    Returns:
      delete character count

  - ### getDistance

    public Integer getDistance()
    Gets the distance between two character sequences.
    Returns:
      distance between two character sequence

  - ### getInsertCount

    public Integer getInsertCount()
    Gets the number of insertion needed to change one character sequence into another.
    Returns:
      insert character count

  - ### getSubstituteCount

    public Integer getSubstituteCount()
    Gets the number of character substitution needed to change one character sequence into another.
    Returns:
      substitute character count

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`